Skip to main content
PUT
/
organizations
Update your organization
curl --request PUT \
  --url https://core.nozle.app/api/v1/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organization": {
    "webhook_url": "https://webhook.brex.com",
    "country": "US",
    "default_currency": "USD",
    "address_line1": "100 Brex Street",
    "address_line2": null,
    "state": "NYC",
    "zipcode": "10000",
    "email": "brex@brex.com",
    "city": "New York",
    "legal_name": null,
    "legal_number": null,
    "document_numbering": "per_customer",
    "document_number_prefix": "ORG-1234",
    "net_payment_term": 30,
    "tax_identification_number": "US123456789",
    "timezone": "America/New_York",
    "email_settings": [
      "invoice.finalized",
      "credit_note.created"
    ],
    "billing_configuration": {
      "invoice_footer": "This is my customer footer",
      "invoice_grace_period": 3,
      "document_locale": "en"
    },
    "finalize_zero_amount_invoice": false
  }
}
'
{
  "organization": {
    "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "name": "Name1",
    "created_at": "2022-05-02T13:04:09Z",
    "document_numbering": "per_customer",
    "document_number_prefix": "ORG-1234",
    "billing_configuration": {
      "invoice_footer": "This is my customer footer",
      "invoice_grace_period": 3,
      "document_locale": "en"
    },
    "webhook_url": "https://webhook.brex.com",
    "webhook_urls": [
      "https://webhook.brex.com",
      "https://webhook2.brex.com"
    ],
    "country": "US",
    "default_currency": "USD",
    "address_line1": "100 Brex Street",
    "address_line2": null,
    "state": "NYC",
    "zipcode": "10000",
    "email": "brex@brex.com",
    "city": "New York",
    "legal_name": null,
    "legal_number": null,
    "net_payment_term": 30,
    "tax_identification_number": "US123456789",
    "timezone": "America/New_York",
    "taxes": [
      {
        "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
        "name": "TVA",
        "code": "french_standard_vat",
        "rate": 20,
        "applied_to_organization": true,
        "created_at": "2023-07-06T14:35:58Z",
        "description": "French standard VAT"
      }
    ],
    "finalize_zero_amount_invoice": false,
    "events_store": "clickhouse"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Update an existing organization

organization
object
required

Response

Successful response

organization
object
required